Summary:	A handy file search tool
Name:		catfish
Version:	4.16.4
Release:	%mkrel 2
Group:		Graphical desktop/XFCE
License:	GPLv2+
URL:		https://git.xfce.org/apps/catfish
Source0:	 http://archive.xfce.org/src/apps/catfish/1.4/%{name}-%{version}.tar.xz
Source1: org.xfce.Catfish.desktop
BuildRequires:	gettext
BuildRequires:	intltool
BuildRequires:	desktop-file-utils
BuildRequires:	python3-devel
BuildRequires:	python3-distutils-extra

Provides:	%{name} = %{version}
Requires:	python-gobject3
Requires:	python3-pexpect

Requires:   lib64xfconf0_3
Requires:	mlocate
Requires:	findutils
Obsoletes:	%{name} < %{version}

BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Catfish is a handy file searching tool for Linux and Unix. The
interface is intentionally lightweight and simple, using only
GTK+3. You can configure it to your needs by using several
command line options.
You are encouraged to run 'catfish --help' to check out
the various command line options.

%prep
%setup -q
%apply_patches


%build
%py3_build

%install
CFLAGS="%{optflags}" %__python3 setup.py install -O1 --root %{buildroot}

install -m 0644 %SOURCE1  %{buildroot}%{_datadir}/applications/org.xfce.Catfish.desktop

# remove %%buildroot definition
sed -i -e 's!%{buildroot}!!g' %{buildroot}%{python3_sitelib}/catfish_lib/catfishconfig.py \

# handle docs in files section
rm -rf %{buildroot}%{_docdir}

%find_lang %{name}

%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%{_bindir}/%{name}
%{_datadir}/applications/org.xfce.Catfish.desktop
%{_datadir}/metainfo/%{name}.appdata.xml
%{_datadir}/%{name}/
%{_iconsdir}
%{_mandir}
%{python3_sitelib}/%{name}/
%{python3_sitelib}/%{name}_lib/
%{python3_sitelib}/%{name}-%{version}-py%{python3_version}.egg-info

%changelog
* Wed Aug 24 2022 tex - 4.16.4-2pclos2022
- rebuild against updates

* Tue Jul 19 2022 tex - 4.16.4-1pclos2022
- new version

* Thu Sep 30 2021 tex - 4.16.3-1pclos2021
- new version

* Sun Aug 01 2021 tex - 4.16.2-1pclos2021
- new version

* Mon Jul 26 2021 tex - 4.16.1-2pclos2021
- fix desktop file and library path

* Fri Jul 23 2021 tex - 4.16.1-1pclos2021
- new version

* Sat Jan 30 2021 tex - 4.16.0-2pclos2021
- add req lib64xfconf0_3 dep

* Sun Jan 10 2021 tex - 4.16.0-1pclos2021
- new version

* Wed Jan 15 2020 tex - 1.4.13-1pclos2020
- new version

* Thu Jan 02 2020 tex - 1.4.12-1pclos2020
- new version

* Tue Dec 24 2019 tex - 1.4.11-1pclos2020
- new version

* Sat Sep 14 2019 tex - 1.4.10-1pclos2019
- new version

* Sun Aug 18 2019 tex - 1.4.9-2pclos2019
- rebuild against updates

* Wed Aug 14 2019 onkelho <oh.quait at gmail.com> - 1.4.9-1pclos2019
- new rebuild xfce-4.14

* Mon Jul 29 2019 onkelho <oh.quait at gmail.com> - 1.4.8-1pclos2019
- new ver-rel 4.14pre3

* Tue May 21 2019 onkelho <oh.quait at gmail.com> 1.4.7-12pclos2019
- rebuild for -pre-rel 4.14.pre1

* Mon Jan 28 2019 onkelho <oh.quait at gmail.com> 1.4.7-11pclos2019
- new ver-rel

* Sun Dec 16 2018 onkelho <oh.quait at gmail.com> 1.4.6-3pclos2018
- rebuild

* Tue Oct 30 2018 onkelho <oh.quait at gmail.com> 1.4.6-2pclos2018
- rebuild 	I18n: Update translation es (99%) sv de fr ms gl fr uk (100%)
- Add info on --path to help and manpage
- Tidy up manpage	Sean Davis
- I18n: Add new translation ms (100%).

* Sat Jul 21 2018 onkelho <oh.quait at gmail.com> 1.4.6-1pclos2018
- new version

* Mon Feb 26 2018 bb2 <bb2> - 1.4.4-1pclos2018
- new version
